For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get supportGet a Demo
  • Get Started
    • Welcome
    • Authorisation
    • Webhooks
  • API Reference
      • GETList invoices
      • GETGet invoice by ID
LogoLogo
Get supportGet a Demo
API ReferenceInvoices

Get invoice by ID

GET
https://api.caresquareapi.com/api/public/v1/invoices/:invoice_id
GET
/api/public/v1/invoices/:invoice_id
$curl https://api.caresquareapi.com/api/public/v1/invoices/invoice_id \
> -H "Authorization: Bearer <token>"
1{
2 "approval_status": "string",
3 "claim_status": "string",
4 "created_at": "2024-01-15T09:30:00Z",
5 "email_message_id": "string",
6 "errors": true,
7 "id": "string",
8 "invoice_date": "2023-01-15",
9 "invoice_number": "string",
10 "is_deleted": true,
11 "is_duplicate": true,
12 "is_reimbursement": true,
13 "line_items": [
14 {
15 "id": "string",
16 "invoice": "string",
17 "description": "string",
18 "quantity": 1.1,
19 "unit_price": 1.1,
20 "total_price": 1.1,
21 "service_item_number": "string",
22 "claim_status": "string",
23 "claim_batch_ref": "string",
24 "claim_number": "string",
25 "payment_ref": "string",
26 "is_deleted": true,
27 "created_at": "2024-01-15T09:30:00Z"
28 }
29 ],
30 "participant_id": "string",
31 "plan_manager": "string",
32 "pm_provider_id": "string",
33 "s3_key": "string",
34 "state_management": {},
35 "subtotal": 1.1,
36 "tax": 1.1,
37 "total": 1.1,
38 "wont_claim": true
39}

Returns a single invoice including line items. Requires X-Plan-Manager-Id header.

Was this page helpful?
Previous

Get invoice status

Next
Built with

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

invoice_idstringRequired

Invoice ID (numeric or UUID)

Response

Invoice with line items
approval_statusstring
claim_statusstring
created_atdatetime
email_message_idstring
Email message ID associated with the invoice
errorsboolean
idstring
invoice_datedate
invoice_numberstring
is_deletedboolean
is_duplicateboolean
is_reimbursementboolean
line_itemslist of objects
participant_idstring
plan_managerstring
pm_provider_idstring
s3_keystring
state_managementobject

State management (object with errors/ignored_errors or string)

subtotaldouble
taxdouble
totaldouble
wont_claimboolean

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error